# -*- coding: utf-8 -*-
"""
Created on Fri Feb 12 19:51:23 2016

@author: ibai
"""

from setuptools import setup, find_packages
from os import path

here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(here, 'README.rst')) as f:
    long_description = f.read()

setup(
    name = "bolib",
    version = "0.9.2",
    author = "Ibai Roman",
    author_email = "ibai.roman@ehu.eus",
    description = ("Python library for Bayesian Optimization."),
    license = "GPLv3",
    keywords = "Bayesian Optimization Gaussian Process",
    url = "https://bitbucket.org/ibaidev/bolib",
    long_description=long_description,
    packages=['bolib'],
    classifiers=[
          'Development Status :: 4 - Beta',
          'Environment :: Console',
          'Intended Audience :: Developers',
          'Intended Audience :: Science/Research',
          'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
          'Operating System :: POSIX',
          'Programming Language :: Python',
          'Topic :: Scientific/Engineering :: Artificial Intelligence',
    ],
    install_requires=[
        'numpy',
        'scipy',
    ],
    entry_points={
        'console_scripts': [
            'bolib=bolib.__main__:main',
        ]
    },
)
